package cn.com.qmth.examcloud.starters.face.verify.common;

import java.io.Serializable;

/**
 * 人脸接口结果
 */
public class FaceResult implements Serializable {

    private static final long serialVersionUID = -6981807543872661368L;

    /**
     * 是否通过
     */
    private boolean pass;

    /**
     * 接口是否并发超限
     */
    private boolean apiLimit;

    /**
     * 接口错误信息
     */
    private String error;

    /**
     * 分值
     */
    private Double score;

    /**
     * 阈值(JSON)
     */
    private String thresholds;

    /**
     * 人脸数
     */
    private Integer faceNum;

    public boolean isPass() {
        return pass;
    }

    public void setPass(boolean pass) {
        this.pass = pass;
    }

    public boolean isApiLimit() {
        return apiLimit;
    }

    public void setApiLimit(boolean apiLimit) {
        this.apiLimit = apiLimit;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public String getThresholds() {
        return thresholds;
    }

    public void setThresholds(String thresholds) {
        this.thresholds = thresholds;
    }

    public Integer getFaceNum() {
        return faceNum;
    }

    public void setFaceNum(Integer faceNum) {
        this.faceNum = faceNum;
    }

}
